This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535617 - (RHQ-2294) Operation can be "in progress" and "success" at the same time
Operation can be "in progress" and "success" at the same time
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Operations (Show other bugs)
1.3pre
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-08-04 16:06 EDT by Jeff Weiss
Modified: 2015-02-01 18:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
rev4650
Last Closed: 2014-05-09 11:32:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
op.png (64.11 KB, image/png)
2009-08-04 16:06 EDT, Jeff Weiss
no flags Details

  None (edit)
Description Jeff Weiss 2009-08-04 16:06:00 EDT
To repeat:  Probably not repeatable, but I ran the restart op on a unix RHQ Agent Launcher service.  

See screenshot - the operation status shows as "in progress" and "success" at the same time.  Probably a timing issue where the two tables render at different times and see different data.  maybe should somehow render the "completed" table first to avoid this problem.
Comment 1 Jeff Weiss 2009-08-04 16:08:57 EDT
On further reflection, rending the 'completed' table first wouldn't solve the problem, it would just cause the op to not show up at all, rather than twice.
Comment 2 Red Hat Bugzilla 2009-11-10 16:01:39 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2294
Imported an attachment (id=368766)
Comment 3 wes hayutin 2010-02-16 11:52:26 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 4 wes hayutin 2010-02-16 11:58:12 EST
making sure we're not missing any bugs in rhq_triage

Note You need to log in before you can comment on or make changes to this bug.